> ## Documentation Index
> Fetch the complete documentation index at: https://docs.finhost.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Activate the account of the customer

> Process receiving account banking details



## OpenAPI

````yaml patch /v1/accounts/{accountId}
openapi: 3.0.0
info:
  title: FinHost WLB Client API
  description: WLB Client REST API openApi 3.0 specification
  contact:
    email: odv4mail@gmail.com
  version: 1.0.0
servers:
  - url: https://client-api.dev.finhost.io
  - url: https://client-api.stage-v2.finhost.io
  - url: https://client-api-atlaspay-prod.finhost.io
security: []
tags:
  - name: Client
    description: Information about service clients
  - name: Sumsub
    description: KYC service
  - name: Contract
    description: Operations with clients contracts
  - name: Account
    description: Operations with clients accounts
  - name: Transfer
    description: Operations with clients assets
  - name: Recipient
    description: Operations with recipients
  - name: Statement
    description: List of the client statments
  - name: Company
    description: List of the client statments
paths:
  /v1/accounts/{accountId}:
    patch:
      tags:
        - Account
      summary: Activate the account of the customer
      description: Process receiving account banking details
      parameters:
        - name: accountId
          in: path
          description: Account id
          required: true
          style: simple
          explode: false
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/accounts_accountId_body'
        required: false
      responses:
        '200':
          description: The account activation is stated
          headers:
            Access-Control-Allow-Origin:
              style: simple
              explode: false
              schema:
                type: string
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RequestOperationStatus'
      deprecated: true
      security:
        - bearerAuth: []
components:
  schemas:
    accounts_accountId_body:
      type: object
      properties:
        companyId:
          type: string
        product:
          type: string
          enum:
            - internal-in
    RequestOperationStatus:
      properties:
        id:
          type: string
          description: Requested entity ID
          example: db4e04c3-4756-f3c4-7497-be928c51135
        entity:
          type: string
          description: Requested entity
          example: account
        operation:
          type: string
          description: Operation type
          example: async
          enum:
            - sync
            - async
        status:
          type: string
          description: Operation status
          example: processed
          enum:
            - queue
            - processed
            - pending
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````